<?php

namespace App\Repositories\Webprofile\Sa;

use App\Models\Webprofile\Sa\Information;
use App\Repositories\Repository;

class InformationRepository extends Repository
{
    public function __construct(Information $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }

    public function paginate()
    {
    }

    public function update($data, $information)
    {
        return $this->model->updateOrCreate([
            'information_id' => $information->id,
        ], $data);
    }
}
